Skip to main content
GET
Get tasks

Авторизации

Authorization
string
header
обязательно

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Заголовки

X-Tenant-Id
integer

Компания, в контексте которой выполняется запрос — её id из GET /v1/tenant/. Пользователь должен состоять в этой компании: чужой id доступа к данным не даёт. Без заголовка компания определяется по домену запроса.

Параметры запроса

assignee
integer
assignee__in
integer[]

Несколько значений могут быть разделены запятыми.

assignee__isnull
boolean
author
integer
author__in
integer[]

Несколько значений могут быть разделены запятыми.

content_type
string
created_at__date__gte
string<date>
created_at__date__lte
string<date>
created_at__gte
string<date-time>
created_at__lte
string<date-time>
due_at__date__gte
string<date>
due_at__date__lte
string<date>
due_at__gte
string<date-time>
due_at__isnull
boolean
due_at__lte
string<date-time>
finished_at__date__gte
string<date>
finished_at__date__lte
string<date>
finished_at__gte
string<date-time>
finished_at__lte
string<date-time>
is_done
boolean
  • main - Основная
  • secondary - Дополнительная
Доступные опции:
main,
secondary
mine
boolean
object_id
number
ordering
string

Which field to use when ordering the results.

overdue
boolean
page
integer

A page number within the paginated result set.

pageSize
integer

Number of results to return per page.

priority
enum<integer> | null
  • 1 - Низкий
  • 2 - Средний
  • 3 - Высокий
  • 4 - Срочный
Доступные опции:
1,
2,
3,
4
priority__gte
integer
priority__in
integer[]

Несколько значений могут быть разделены запятыми.

priority__isnull
boolean
remind_at__date__gte
string<date>
remind_at__date__lte
string<date>
remind_at__gte
string<date-time>
remind_at__isnull
boolean
remind_at__lte
string<date-time>

A search term.

status
enum<string>
  • open - Открыто
  • in_progress - В работе
  • done - Выполнено
  • cancelled - Отменено
Доступные опции:
cancelled,
done,
in_progress,
open
status__in
string[]

Несколько значений могут быть разделены запятыми.

type
integer
type__in
integer[]

Несколько значений могут быть разделены запятыми.

type__isnull
boolean

Ответ

200 - application/json
count
integer
обязательно
Пример:

123

results
object[]
обязательно
next
string<uri> | null
Пример:

"http://api.example.org/accounts/?page=4"

previous
string<uri> | null
Пример:

"http://api.example.org/accounts/?page=2"